> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List upload collections.

| Scope | Required |
| - | - |
| `upload_collections:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-16.yaml get /upload_collections
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-16.lassen
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-16.lassen
  x-git-commit:
    sha: 43d8e1c797e43bb869b8f349c2383bdd5274445f
    url: >-
      https://github.com/mirurobotics/openapi/commit/43d8e1c797e43bb869b8f349c2383bdd5274445f
    message: >-
      docs: replace customer-specific calibration examples with generic ones
      (#513)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-17T00:22:51.314973+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /upload_collections:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Upload Collections
      summary: List
      description: List upload collections.
      operationId: listUploadCollections
      parameters:
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/upload_collection_order_bys'
        - $ref: '#/components/parameters/upload_collection_list_expansions'
        - $ref: '#/components/parameters/upload_collection_search_id'
        - $ref: '#/components/parameters/upload_collection_search_name'
        - $ref: '#/components/parameters/upload_collection_search_slug'
        - $ref: '#/components/parameters/upload_collection_archived'
      responses:
        '200':
          description: Successfully listed the upload collections.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UploadCollectionList'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-16.lassen
      description: The API version the client was built against.
    offset:
      name: offset
      in: query
      required: false
      description: >-
        The offset of the items to return. An offset of 10 with a limit of 10
        returns items 11-20.
      schema:
        type: integer
        default: 0
        minimum: 0
        example: 0
    limit:
      name: limit
      in: query
      required: false
      description: >-
        The maximum number of items to return. A limit of 15 with an offset of 0
        returns items 1-15.
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 100
        example: 10
    upload_collection_order_bys:
      name: order_by
      in: query
      required: false
      style: form
      explode: false
      description: Sort order for the upload collection results.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/UploadCollectionOrderBy'
        example:
          - created_at:desc
    upload_collection_list_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on each upload collection in the list.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/UploadCollectionListExpansion'
        example:
          - created_by
    upload_collection_search_id:
      name: id
      in: query
      required: false
      style: form
      explode: false
      description: The upload collection IDs to filter by.
      schema:
        type: array
        items:
          type: string
        example:
          - upl_col_123
    upload_collection_search_name:
      name: name
      in: query
      required: false
      style: form
      explode: false
      description: The upload collection names to filter by.
      schema:
        type: array
        items:
          type: string
        example:
          - Robot Logs
    upload_collection_search_slug:
      name: slug
      in: query
      required: false
      style: form
      explode: false
      description: The upload collection slugs to filter by.
      schema:
        type: array
        items:
          type: string
        example:
          - robot-logs
    upload_collection_archived:
      name: archived
      in: query
      required: false
      description: >-
        Filter by archived state. `any` (default) returns archived and
        non-archived upload collections, `false` returns only non-archived
        upload collections, and `true` returns only archived upload collections.
      schema:
        type: string
        enum:
          - 'false'
          - 'true'
          - any
        default: any
        example: 'false'
  schemas:
    UploadCollectionList:
      title: Upload Collection List
      allOf:
        - $ref: '#/components/schemas/PaginatedList'
        - type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/UploadCollection'
              description: The list of upload collections.
    UploadCollectionOrderBy:
      type: string
      enum:
        - id:asc
        - id:desc
        - created_at:asc
        - created_at:desc
        - updated_at:asc
        - updated_at:desc
        - name:asc
        - name:desc
      x-enum-varnames:
        - UPLOAD_COLLECTION_ORDER_BY_ID_ASC
        - UPLOAD_COLLECTION_ORDER_BY_ID_DESC
        - UPLOAD_COLLECTION_ORDER_BY_CREATED_AT_ASC
        - UPLOAD_COLLECTION_ORDER_BY_CREATED_AT_DESC
        - UPLOAD_COLLECTION_ORDER_BY_UPDATED_AT_ASC
        - UPLOAD_COLLECTION_ORDER_BY_UPDATED_AT_DESC
        - UPLOAD_COLLECTION_ORDER_BY_NAME_ASC
        - UPLOAD_COLLECTION_ORDER_BY_NAME_DESC
      default: created_at:desc
    UploadCollectionListExpansion:
      type: string
      enum:
        - total_count
        - created_by
        - archived_by
      x-enum-varnames:
        - UPLOAD_COLLECTION_LIST_EXPAND_TOTAL_COUNT
        - UPLOAD_COLLECTION_LIST_EXPAND_CREATED_BY
        - UPLOAD_COLLECTION_LIST_EXPAND_ARCHIVED_BY
    PaginatedList:
      title: Paginated List
      type: object
      required:
        - object
        - limit
        - offset
        - has_more
      properties:
        object:
          type: string
          enum:
            - list
          example: list
          x-stainless-const: true
          description: The object type, which is always `list`.
        total_count:
          type: integer
          format: int64
          description: >-
            The total number of items in the list. By default the total count is
            not returned. The total count must be expanded (using
            expand=total_count) to get the total number of items in the list.
        limit:
          type: integer
          description: >-
            The maximum number of items to return. A limit of 15 with an offset
            of 0 returns items 1-15.
          default: 10
          minimum: 1
          maximum: 100
        offset:
          type: integer
          description: >-
            The offset of the items to return. An offset of 10 with a limit of
            10 returns items 11-20.
          default: 0
          minimum: 0
        has_more:
          type: boolean
          description: >-
            True if there are more items in the list to return. False if there
            are no more items to return.
          example: false
    UploadCollection:
      title: Upload Collection
      allOf:
        - $ref: '#/components/schemas/BaseUploadCollection'
        - type: object
          required:
            - created_by_id
            - archived_at
            - archived_by_id
          properties:
            created_by_id:
              type: string
              example: usr_123
              description: ID of the principal who created the upload collection.
            archived_at:
              type: string
              format: date-time
              example: '2021-01-01T00:00:00Z'
              nullable: true
              description: >-
                Timestamp of when the upload collection was archived. Null if
                the upload collection is not archived.
            archived_by_id:
              type: string
              example: usr_123
              nullable: true
              description: >-
                ID of the principal who archived the upload collection. Null if
                the upload collection is not archived or was archived before
                this field was recorded.
            created_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              description: >-
                The principal who created the upload collection. Expand using
                `expand=created_by` in the query string.
            archived_by:
              allOf:
                - $ref: '#/components/schemas/Principal'
              nullable: true
              description: >-
                The principal who archived the upload collection. Null if
                `archived_by_id` is null. Expand using `expand=archived_by` in
                the query string.
      example:
        object: upload_collection
        id: upl_col_123
        name: Robot Logs
        slug: robot-logs
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        created_by_id: usr_123
        archived_at: null
        archived_by_id: null
    BaseUploadCollection:
      title: Upload Collection
      type: object
      required:
        - object
        - id
        - name
        - slug
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - upload_collection
          example: upload_collection
          x-stainless-const: true
          description: The object type, which is always `upload_collection`.
        id:
          type: string
          example: upl_col_123
          description: ID of the upload collection.
        name:
          type: string
          example: Robot Logs
          description: Name of the upload collection.
        slug:
          type: string
          example: robot-logs
          description: An immutable, code-friendly name for the upload collection.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the upload collection was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the upload collection was last updated.
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
        - type
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
        type:
          allOf:
            - $ref: '#/components/schemas/PrincipalType'
          description: >-
            The kind of principal. More types may be added, so handle unknown
            values.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
        type: api_key
    PrincipalType:
      title: Principal Type
      type: string
      enum:
        - user
        - api_key
        - device
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.